# Method: accounts.locations.updateFoodMenus

- [HTTP request](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/updateFoodMenus#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/updateFoodMenus#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/updateFoodMenus#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/updateFoodMenus#body.request_body)
- [Response body](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/updateFoodMenus#body.response_body)
- [Authorization Scopes](https://developers.google.com/my-business/reference/rest/v4/accounts.locations/updateFoodMenus#body.aspect)

Updates the food menus of a specific location. Only call this if location.location_state.can_have_food_menu is true.

### HTTP request

`PATCH https://mybusiness.googleapis.com/v4/{foodMenus.name=accounts/*/locations/*/foodMenus}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `foodMenus.name` | `string` Required. Google identifier for this location in the form: `accounts/{accountId}/locations/{locationId}/foodMenus` |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.FieldMask` format)`` Optional. The specific fields to update. If no mask is specified, then this is treated as a full update and all fields are set to the values passed in, which may include unsetting empty fields in the request. Repeated field items can not be individually updated. Note: "name" of FoodMenus is the resource identifier which is not updatable. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://developers.google.com/my-business/reference/rest/v4/FoodMenus`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/my-business/reference/rest/v4/FoodMenus`.

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/plus.business.manage`
- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).